$(function(){
    
    FastClick.attach(document.body);
    
    if(Modernizr.canvas){
        FFChartwell();
    }
    
    try{
        initAddThis();
    } catch(err){
        console.log(err);
    }
    
    $('.check-custom').customInput();
    
    $('.post-single').find('.content-generic img').removeAttr('height').removeAttr('width');
    
    $('.toggle').each(function(){
        $('div:first',this).addClass('first');
        $('div:last',this).addClass('last');    
    });  
    
    $('.flexslider').flexslider({ animation: "fade", directionNav: false });
    $('.slider-materials').flexslider({animation: "slide", touch: false, controlNav: false });
    $('.slider-materials-4up').flexslider({animation: "slide", slideshow: false, touch: false, controlNav: false, minItems: 1, maxItems: 4, itemWidth: 204});
    $('.video-holder, .card-video-holder').fitVids();
    
    $(".state-select").change(function() {
      window.location = $(this).find("option:selected").val();
    });
    
    $('.card-surface').masonry({
        itemSelector: '.card-wrap',
        transitionDuration: '0.2s'
    });
    
    $('.card-surface-social').masonry({
        itemSelector: '.card-wrap-half',
        transitionDuration: '0.2s'
    });
    
    $('.archive-year').click(function(e){
        e.preventDefault();
        $(this).parent('li').find('.archive-months').toggleClass('show');
    });
    
    $('.gallery-trigger').click(function(e){
        e.preventDefault();
        accordify($(this).attr('href'), $(this).data('target-accordian'));
    });
    
    $('.button-accordian-close').click(function(e){
        e.preventDefault();
        var accordian = '#'+$(this).data('target-accordian');
        $(accordian).removeClass('show');
        $.smoothScroll({scrollTarget: accordian});
    });
    
    $(document).click(function(e){
        var myTarget = '.trigger';
        var clicked = e.target.className;
        if(clicked != 'trigger') {
           $('.active').removeClass('active');
        }
    });
    
    $(document).keydown(function(e){
        if (e.keyCode == 27) { 
            $('.active').removeClass('active');
            e.preventDefault();
        } 
    });

    enquire.register("screen and (min-width:775px)", {
        unmatch : function() {
            $('.trigger').unbind('click'); 
        }, match : function() {
            $('.trigger').click(function(e){
                e.preventDefault();
                $(this).parent('li').addClass('active').siblings('.active').removeClass('active');
            });
        }
    });
        
    enquire.register("screen and (min-width:560px)", {
        unmatch : function() {
            $.colorbox.remove();
            $('.gallery-trigger').click(function(e){
                e.preventDefault();
                accordify($(this).attr('href'), $(this).data('target-accordian'));
            });
        }, match : function() {
            $('.gallery-trigger').unbind('click').colorbox({rel:'gal'});
        }
    });
    
    
    // Brain Region Drawers
    $('.trigger-display-brain-region-drawer').click(function(e){
        e.preventDefault();
        var target = $(this);
        var drawer = $('#drawer-' + $(this).data('id'));
        var opened = drawer.css('display') != 'none';
        
        // Mobile
        if($( window ).width() < 560){
            $('.brain-regions .regions .drawer').hide();
            
            if(opened){
                drawer.slideUp();
            } else {
                drawer.slideDown(400, function(){
                    $('html, body').animate({ scrollTop: target.offset().top + 280 }, 400);
                });
            }
            
        // Not mobile
        } else {
            $('.brain-regions .regions .drawer').slideUp();
            
            if(opened){
                drawer.slideUp();
            } else {
                drawer.slideDown();
            }
        }
    });
    
    $('.trigger-close-brain-region-drawer').click(function(){
        $('.brain-regions .regions .drawer').slideUp();
    });
    
});


function accordify(img, target){
    $('#'+target).removeClass('show').find('.content').html('<img src="'+img+'">');
    $('#'+target).addClass('show');
    $.smoothScroll({scrollTarget: '#'+target});
}

function initAddThis(){
    addthis.init();
}

